Skip to navigation

List datasets

List datasets

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional0-100Defaults to 50
Number of results to return.
nextTokenstringOptional
sortenumOptionalDefaults to modifiedAt

Method by which to order search results. Valid sorts are modifiedAt (modified time, most recent first) createdAt (creation time, most recent first) and name (item name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.

archiveReasonstringOptional

Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived items. Use “ANY_ARCHIVED” to filter for archived items regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.

createdAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

creatorIdsstringOptional
Comma separated list of user IDs.
folderIdstringOptional
ID of a folder. Restricts results to those in the folder.
mentionedInstringOptional

Comma-separated list of entry IDs. Restricts results to items mentioned in those entries.

modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

namestringOptional
Restricts results to those with the specified name.
nameIncludesstringOptional
Name substring. Restricts results to those with names that include the provided substring.
names.anyOf.caseSensitivestringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.

names.anyOfstringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.

originIdsstringOptional

Comma-separated list of item IDs. Restricts results to those whose origin parent is any of the specified items.

idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

displayIdsstringOptional

Comma-separated list of display ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Response

OK
datasetslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error